<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="17.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|ARM">
      <Configuration>Debug</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|ARM">
      <Configuration>Release</Configuration>
      <Platform>ARM</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{E56B3878-A3DC-41A4-ABF3-B628816D0D64}</ProjectGuid>
    <Keyword>QtVS_v304</Keyword>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">10.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'">10.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">10.0</WindowsTargetPlatformVersion>
    <WindowsTargetPlatformVersion Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">10.0</WindowsTargetPlatformVersion>
    <QtMsBuild Condition="'$(QtMsBuild)'=='' OR !Exists('$(QtMsBuild)\qt.targets')">$(MSBuildProjectDirectory)\QtMsBuild</QtMsBuild>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="Configuration">
    <ConfigurationType>DynamicLibrary</ConfigurationType>
    <PlatformToolset>v143</PlatformToolset>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Condition="Exists('$(QtMsBuild)\qt_defaults.props')">
    <Import Project="$(QtMsBuild)\qt_defaults.props" />
  </ImportGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="QtSettings">
    <QtInstall>tools_qt5</QtInstall>
    <QtModules>core;gui;widgets</QtModules>
    <QtBuildConfig>debug</QtBuildConfig>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="QtSettings">
    <QtInstall>tools_qt5</QtInstall>
    <QtModules>core;gui;widgets</QtModules>
    <QtBuildConfig>debug</QtBuildConfig>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="QtSettings">
    <QtInstall>tools_qt5</QtInstall>
    <QtModules>core;xml;sql;gui;help;xmlpatterns;widgets;location;bluetooth;printsupport;dbus;charts;datavisualization</QtModules>
    <QtBuildConfig>release</QtBuildConfig>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="QtSettings">
    <QtInstall>tools_qt5</QtInstall>
    <QtModules>core;xml;sql;gui;help;xmlpatterns;widgets;location;bluetooth;printsupport;dbus;charts;datavisualization</QtModules>
    <QtBuildConfig>release</QtBuildConfig>
  </PropertyGroup>
  <Target Name="QtMsBuildNotFound" BeforeTargets="CustomBuild;ClCompile" Condition="!Exists('$(QtMsBuild)\qt.targets') or !Exists('$(QtMsBuild)\qt.props')">
    <Message Importance="High" Text="QtMsBuild: could not locate qt.targets, qt.props; project may not build correctly." />
  </Target>
  <ImportGroup Label="ExtensionSettings" />
  <ImportGroup Label="Shared" />
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <ImportGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="PropertySheets">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
    <Import Project="$(QtMsBuild)\Qt.props" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <IncludePath>.;.\RasterMainWidget;..\RasterProcessToolWidget;..\RasterProcessToolWidget\ToolBoxManager;..\BaseCommonLibrary;..\BaseCommonLibrary\BaseTool;..\BaseCommonLibrary\ToolAbstract;..\GPUBaseLib\GPUTool;..\GPUBaseLib;..\RasterMainWidgetGUI;..\RasterMainWidgetGUI\RasterMainWidget;$(IncludePath)</IncludePath>
    <CopyLocalProjectReference>true</CopyLocalProjectReference>
    <CopyCppRuntimeToOutputDir>true</CopyCppRuntimeToOutputDir>
    <LinkIncremental>true</LinkIncremental>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <IncludePath>.;.\RasterMainWidget;..\RasterProcessToolWidget;..\RasterProcessToolWidget\ToolBoxManager;..\BaseCommonLibrary;..\BaseCommonLibrary\BaseTool;..\BaseCommonLibrary\ToolAbstract;..\GPUBaseLib\GPUTool;..\GPUBaseLib;..\RasterMainWidgetGUI;..\RasterMainWidgetGUI\RasterMainWidget;$(IncludePath)</IncludePath>
    <CopyLocalProjectReference>true</CopyLocalProjectReference>
    <CopyCppRuntimeToOutputDir>true</CopyCppRuntimeToOutputDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;_SILENCE_NONFLOATING_COMPLEX_DEPRECATION_WARNING;RASTERMAINWIDGETGUI_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <OpenMPSupport>true</OpenMPSupport>
      <DebugInformationFormat>EditAndContinue</DebugInformationFormat>
      <WholeProgramOptimization>false</WholeProgramOptimization>
      <Optimization>Disabled</Optimization>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'">
    <ClCompile>
      <PreprocessorDefinitions>_CRT_SECURE_NO_WARNINGS;_SILENCE_NONFLOATING_COMPLEX_DEPRECATION_WARNING;RASTERMAINWIDGETGUI_LIB;%(PreprocessorDefinitions)</PreprocessorDefinitions>
    </ClCompile>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'" Label="Configuration">
    <ClCompile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|ARM'" Label="Configuration">
    <ClCompile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
    </ClCompile>
    <Link>
      <SubSystem>Windows</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'" Label="Configuration">
    <ClCompile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>DebugFull</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|ARM'" Label="Configuration">
    <ClCompile>
      <MultiProcessorCompilation>true</MultiProcessorCompilation>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <ConformanceMode>true</ConformanceMode>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>DebugFull</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="PrintMessage_C.cpp" />
    <ClCompile Include="RasterMainWidget\crs.cpp" />
    <ClCompile Include="RasterMainWidget\gaodenormalprovider.cpp" />
    <ClCompile Include="RasterMainWidget\imgwriter.cpp" />
    <ClCompile Include="RasterMainWidget\LAMPMainWidgetRunProgram.cpp" />
    <ClCompile Include="RasterMainWidget\maparea.cpp" />
    <ClCompile Include="RasterMainWidget\mapautoplane.cpp" />
    <ClCompile Include="RasterMainWidget\mapcanvas.cpp" />
    <ClCompile Include="RasterMainWidget\mapcanvasmap.cpp" />
    <ClCompile Include="RasterMainWidget\maplayer.cpp" />
    <ClCompile Include="RasterMainWidget\mapline.cpp" />
    <ClCompile Include="RasterMainWidget\maptool.cpp" />
    <ClCompile Include="RasterMainWidget\maptooladdplane.cpp" />
    <ClCompile Include="RasterMainWidget\maptooldrawarea.cpp" />
    <ClCompile Include="RasterMainWidget\maptooldrawline.cpp" />
    <ClCompile Include="RasterMainWidget\maptoolpan.cpp" />
    <ClCompile Include="RasterMainWidget\maptoolselect.cpp" />
    <ClCompile Include="RasterMainWidget\maptoolzoomin.cpp" />
    <ClCompile Include="RasterMainWidget\maptoolzoomout.cpp" />
    <ClCompile Include="RasterMainWidget\network.cpp" />
    <ClCompile Include="RasterMainWidget\ostnormalprovider.cpp" />
    <ClCompile Include="RasterMainWidget\pointxy.cpp" />
    <ClCompile Include="RasterMainWidget\RasterMainWidget.cpp" />
    <ClCompile Include="RasterMainWidget\sponsorwindow.cpp" />
    <ClCompile Include="RasterMainWidget\taskwindow.cpp" />
    <ClCompile Include="RasterMainWidget\tmslayer.cpp" />
    <ClCompile Include="RasterMainWidget\tmsprovider.cpp" />
    <ClCompile Include="RasterMainWidget\tmsproviderfactory.cpp" />
    <ClCompile Include="RasterMainWidget\webmercator.cpp" />
    <ClCompile Include="RasterWidgetMessageShow.cpp" />
    <QtRcc Include="RasterMainWidgetGUI.qrc" />
    <ClCompile Include="main.cpp" />
    <QtUic Include="RasterMainWidget\RasterMainWidget.ui" />
    <QtUic Include="RasterMainWidget\sponsorwindow.ui" />
    <QtUic Include="RasterMainWidget\taskwindow.ui" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="PrintMessage_C.h" />
    <ClInclude Include="RasterMainWidgetGUIAPI.h" />
    <ClInclude Include="RasterMainWidgetGUICFunAPI.h" />
    <ClInclude Include="RasterMainWidget\crs.h" />
    <ClInclude Include="RasterMainWidget\gaodesatelliteprovider.h" />
    <ClInclude Include="RasterMainWidget\googlechinanormalprovider.h" />
    <ClInclude Include="RasterMainWidget\googlechinasatelliteprovider.h" />
    <ClInclude Include="RasterMainWidget\imgwriter.h" />
    <ClInclude Include="RasterMainWidget\LAMPMainWidget.h" />
    <ClInclude Include="RasterMainWidget\LAMPMainWidgetAPI.h" />
    <ClInclude Include="RasterMainWidget\LAMPMainWidgetRunProgram.h" />
    <ClInclude Include="RasterMainWidget\maparea.h" />
    <ClInclude Include="RasterMainWidget\mapautoplane.h" />
    <ClInclude Include="RasterMainWidget\mapcanvasmap.h" />
    <ClInclude Include="RasterMainWidget\maplayer.h" />
    <ClInclude Include="RasterMainWidget\mapline.h" />
    <ClInclude Include="RasterMainWidget\maptool.h" />
    <ClInclude Include="RasterMainWidget\maptooladdplane.h" />
    <ClInclude Include="RasterMainWidget\maptooldrawarea.h" />
    <ClInclude Include="RasterMainWidget\maptooldrawline.h" />
    <ClInclude Include="RasterMainWidget\maptoolpan.h" />
    <ClInclude Include="RasterMainWidget\maptoolselect.h" />
    <ClInclude Include="RasterMainWidget\maptoolzoomin.h" />
    <ClInclude Include="RasterMainWidget\maptoolzoomout.h" />
    <ClInclude Include="RasterMainWidget\network.h" />
    <ClInclude Include="RasterMainWidget\pointxy.h" />
    <ClInclude Include="RasterMainWidget\tmslayer.h" />
    <ClInclude Include="RasterMainWidget\tmsproviderfactory.h" />
    <ClInclude Include="RasterMainWidget\webmercator.h" />
    <QtMoc Include="RasterWidgetMessageShow.h" />
    <QtMoc Include="RasterMainWidget\tmsprovider.h" />
    <QtMoc Include="RasterMainWidget\taskwindow.h" />
    <QtMoc Include="RasterMainWidget\sponsorwindow.h" />
    <QtMoc Include="RasterMainWidget\RasterMainWidget.h" />
    <QtMoc Include="RasterMainWidget\ostnormalprovider.h" />
    <QtMoc Include="RasterMainWidget\mapcanvas.h" />
    <QtMoc Include="RasterMainWidget\layerprovider.h" />
    <QtMoc Include="RasterMainWidget\gaodenormalprovider.h" />
  </ItemGroup>
  <ItemGroup>
    <None Include="RasterMainWidget\proj.db" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\BaseCommonLibrary\BaseCommonLibrary.vcxproj">
      <Project>{872ecd6f-30e3-4a1b-b17c-15e87d373ff6}</Project>
    </ProjectReference>
    <ProjectReference Include="..\GPUBaseLib\GPUBaseLib.vcxproj">
      <Project>{b8b40c54-f7fe-4809-b6fb-8bc014570d7b}</Project>
    </ProjectReference>
    <ProjectReference Include="..\RasterProcessToolWidget\RasterProcessTool.vcxproj">
      <Project>{7ef67daa-dbc0-4b7f-80e8-11b4d2cb7ec2}</Project>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Condition="Exists('$(QtMsBuild)\qt.targets')">
    <Import Project="$(QtMsBuild)\qt.targets" />
  </ImportGroup>
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>